Bug 506564 - Livecd fails to boot on i586
Livecd fails to boot on i586
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-17 14:45 EDT by redtux
Modified: 2010-06-28 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 09:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description redtux 2009-06-17 14:45:25 EDT
Description of problem:

Livecd fails to boot on i586 machines (eg: K6/2 500)

How reproducible:
Every time

Steps to Reproduce:
1. Create Livcd (Gnome or XFCE)
2. Attempt to boot

Actual results:
Boot Fails with Kernel Panic

Expected results:
Boot into Fedora

Additional info:

Last few lines of output (with verbose)

nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module
option or sysctrl net.netfilter.nf_conntrack_acct=1 to enable it
ip_tables:(C) 200-2006 Netfilter Core Team
TCP Cubic Registered
Initialising XFRM netlink socket

NET :Registered protocol family 17
IO APIC resources could not be allocated
Using IPI No-Shortcut Mode
registered taskstats version 1
 Magic Number:13:416:995
Initialising network drop monitor service
Freeing unused kernel memory:424k freed
Write protecting the kernel read-only data:1440k
Kernel Panic - not syncing:attempted to kill init!
Comment 1 Jeremy Katz 2009-06-17 14:56:02 EDT
That looks like the initrd isn't getting loaded.  Did you accidentally remove the initrd specification when removing quiet?
Comment 2 redtux 2009-06-18 05:16:29 EDT

The second line (way before the last screen) is loading initrd0.img

This is the grub boot line

vmlinuz0 initrd=initrd0.img root=CDLABEL=livcdgnome-i686-200906160849 rootfstype=auto ro liveimg verbose
Comment 3 Chuck Ebbert 2009-06-22 00:33:34 EDT
Try adding ignore_loglevel to the kernel options to make the oops get displayed.

Also try adding pci=nomsi and see if that fixes it.
Comment 4 redtux 2009-06-22 06:32:55 EDT
no change I'm afraid (to either)
Comment 5 redtux 2009-06-23 09:05:03 EDT
This is the final screenfull of output (appeared well after panic)
[<c0443894>] hrtimer_interrupt+0xfd/0x15a
[<c0405d77>] timer_interrupt+0x47/0x4e
[<c0468b61>] handle_IRQ_event+0x34/0x69
[<c046a031>] handle_level_irq+0x6e/0xb7
[<c0405a31>] do_IRQ+0x92/0xad
[<c040452c>] common_interrupt+0x2c/0x40
[<055f567>] ? delay_tsc+0x21/0x5a
[<c055f4e8>] __delay+oxe/0x10
[<c055f51d>] __const_udelay+0x33/0x35
[<c0705da3>] panic+0xe8/0xeb
[<c04322e>] do_exit+0x67/0x705
[<c04383fd>] ? __sigqueue_free+0x32/0x35
[<c04329f0>] do_group_exit+0x74/0x9b
[<c043ab94>] get_signal_to_deliver+0x33c/0x363
[<c0404f5b>] ? do_invalid_op+0x0/0x80
[<c0403328>] do_notify_resume+0x6e/0x363
[<c04a96a2>] ? putname+0x2a/0x33
[<c04a96a2>] ? putname+0x2a/0x33
[<c04a96a2>] ? putname+0x2a/0x33
[<c055f8b8>] ? trace_hardirqs_thunk+0xc/0x10
[<0403fbf>] ? restore_nocheck_notrace+0x0/0xe
[<c0404f5b>] ? do_invalid_op+0x0/0x80
[<c0404065>] work_notifysig+0x13/0x1e
---[ end stack trace 9773da1349f5b067 ]---
Comment 6 Bug Zapper 2010-04-27 11:02:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2010-06-28 09:06:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.